import { useEffect } from "react";
import useModal from "../store/useModal";
import Map from "../components/masterplanPage/map/Map";
import TopPanel from "../components/masterplanPage/TopPanel";
import ButtomPanel from "../components/ButtomPanel";
import ZoomHint from "../components/modals/ZoomHintModal";

const Masterplan = () => {
  const { setModal } = useModal();
  useEffect(() => {
    setModal(<ZoomHint />);
  }, []);
  return (
    <div className="overflow-hidden h-screen w-screen">
      <TopPanel />
      <Map />
      <ButtomPanel />
    </div>
  );
};

export default Masterplan;
